<?xml version="1.0" encoding="utf-8" ?>
<GadgeteerDefinitions xmlns="http://schemas.microsoft.com/Gadgeteer/2011/Hardware">
  <ModuleDefinitions>
    <!-- This module definition should be filled in.  Mouse over any attribute name to get more help about that attribute. -->
    <!-- The Unique ID is auto-generated and does not usually need to be modified. -->
    <ModuleDefinition Name="ButtonForMountaineer"
                  UniqueId="d1b10aa3-1ae8-4a89-a3bd-7f29cd7d83bb"
                  Manufacturer="The Mountaineer Group"
                  Description="A ButtonForMountaineer module"
                  InstanceName="ButtonForMountaineer"
                  Type="Gadgeteer.Modules.Mountaineer.ButtonForMountaineer"
                  ModuleSuppliesPower="false"
                  HardwareVersion="1.0"
                  Image="Resources\Image.jpg"
                  BoardHeight="6"
                  BoardWidth="6"
                  MinimumGadgeteerCoreVersion="2.42.600"
                  HelpUrl="http://www.mountaineer-boards.com"
      			>

      <!-- Assemblies listed here are added to the project as references by the designer whenever this module is instantiated.  -->
      <!-- This functionality is used to -->
      <!--   (1) include the output assemblies of this template -->
      <!--   (2) include other custom assemblies that the module relies on (NB you must edit msm.wxs so these are installed too) -->
      <!--   (3) indicate a reliance on a Gadgeteer assembly other than Gadgeteer.dll (which is always referenced) -->
      <!-- Some examples are provided inline: -->
      <Assemblies>
        <!-- This lists the assemblies which provides the API to this module, i.e. the output assemblies of this template. ((1) in the list above) -->
        <!-- If you do not provide support for both NETMF 4.1 and 4.2, the relevant lines should be removed -->
        <!-- NB you should use the same name for the same assembly's NETMF 4.1 and NETMF 4.2 versions, since this will make it easier for users to change framework versions -->
        <!--
        <Assembly MFVersion="4.1" Name="GTM.Mountaineer.ButtonForMountaineer"/>
        -->
        <Assembly MFVersion="4.2" Name="GTM.Mountaineer.ButtonForMountaineer"/>

        <!-- If your module relies on another assembly, then list it here (and see the msm.wxs file since you need to include it in the installer too), e.g.: -->
        <!--
        <Assembly MFVersion="4.1" Name="Mountaineer.CustomAssembly"/>
        <Assembly MFVersion="4.2" Name="Mountaineer.CustomAssembly"/>
        -->
        
        <!-- If your module either relies upon or is often used with a .NET Gadgeteer assembly other than Gadgeteer.dll, then list it here -->
        <!-- so that the designer automatically includes it when your module is included - e.g. by uncommenting the lines below -->
        <!-- These .NET Gadgeteer assemblies were separated out for NETMF 4.2, so don't need to be listed for NETMF 4.1 as separate -->
        <!-- Uncomment any of the below that you require for this module. -->
        <!--
        <Assembly MFVersion="4.2" Name="Gadgeteer.SPI" />
        <Assembly MFVersion="4.2" Name="Gadgeteer.Serial" />
        <Assembly MFVersion="4.2" Name="Gadgeteer.DaisyLink" />
        -->
        
        <!-- If this is a networking module, then uncomment all four lines below to include Gadgeteer's web client/web server libraries -->
        <!-- 
        <Assembly MFVersion="4.1" Name="Gadgeteer.WebClient" />
        <Assembly MFVersion="4.1" Name="Gadgeteer.WebServer" />
        <Assembly MFVersion="4.2" Name="Gadgeteer.WebClient" />
        <Assembly MFVersion="4.2" Name="Gadgeteer.WebServer" />
        -->
      </Assemblies>

      <!-- This is a built-in socketless module -->
      <Sockets>
      </Sockets>

      <ExtraLibrariesRequired>
        <!--
        <Assembly MFVersion="4.1" Name="FooHelper" ErrorMessage="This module only works with the MainboardName1 or MainboardName2 mainboards." />
        -->
        <Assembly MFVersion="4.2" Name="Mountaineer.Netmf.Hardware" ErrorMessage="This module only works with the Mountaineer mainboards." />
        <!-- 
        <Assembly MFVersion="4.1" Name="Mountaineer.Gadgeteer.MainboardName" ErrorMessage="This module is built-in to the MainboardName mainboard, so cannot be used with any other mainboard." />
        -->
        <Assembly MFVersion="4.2" Name="Mountaineer.Gadgeteer.MainboardWithBuiltinButton" ErrorMessage="This module is built-in to the Mountaineer mainboards, so cannot be used with any other mainboard." />
      </ExtraLibrariesRequired>

    </ModuleDefinition>
  </ModuleDefinitions>
</GadgeteerDefinitions>
